html {
  --thumbBG: rgba(0,0,0,0.5);
  --linkColor: crimson;
  --fontHead: 'Oswald', sans-serif;
  --fontBody: 'Open Sans', sans-serif;
  --fontMono: 'Operator Mono', monospace;
  --fontSpecial: 'Fredericka the Great', sans-serif;

  --journey: #3a6678;
  --trek: #943b00;
  --tnt2: #445500;
  --tnt1: purple;
  --sparks: crimson;
  --cubbies: dodgerblue;
  --puggles: royalblue;
  --ant: #1a659e;
}

body {
  margin: 0;
  font-family: var(--fontBody);
  font-size: calc(16px + (17 - 16) * ((100vw - 300px) / (1600 - 300)));
  line-height: calc(1.7em + (1.5 - 1.2) * ((100vw - 300px)/(1600 - 300)));
  color: #333;
}
body::-webkit-scrollbar {
  width: 6px;
  height: 6px;
}
body::-webkit-scrollbar-thumb {
  background-color: var(--thumbBG) ;
  border-radius: 6px;
}
body::-webkit-scrollbar-corner {
  background-color: transparent;
}
h1, h2, h3, h4, h5, h6 {
  font-family: var(--fontHead);
  margin: 0 0 0.5em 0;
  font-weight: 400;
  line-height: 1.2;
  color: var(--linkColor);
}

h1 {
  font-size: 2em;
  text-transform: uppercase;
}

a {
  color: inherit;
  text-decoration: none;
}

code, pre {
  font-family: var(--fontMono);
  color: #555;
  background-color: #f0f0f0;
  padding: 0.2em 0.4em;
  border-radius: 10px;
}

code i {
  font-weight: 200;
}

blockquote {
  font-family: var(--fontMono);
  font-style: italic;
  display: inline-block;
  margin: 0;
  padding: 0 2rem;
  position: relative;
  font-weight: 200;
  font-size: large;
}
cite {
  display: block;
  text-align: right;
  font-size: small;
  margin-right: 4rem;
}
cite:before {
  content: "\2014 ";
}
cite > * {
  position: relative;
  z-index: 1;
}
blockquote > em {
  font-weight: normal;
}

.material-icons {
  vertical-align: text-bottom;
}
h3 .material-icons {
  vertical-align: bottom;
}

.spacer {
  margin-top: 2rem;
}

.clickable {
  cursor: pointer;
  user-select: none;
}
